vigra - XYZ2LabFunctor< T > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| XYZ2LabFunctor< T > Class Template Reference Color Space Conversions |

Convert standardized tri-stimulus XYZ into perceptual uniform CIE L*a*b*. More...

`#include <vigra/colorconversions.hxx>`

## Public Types
typedef TinyVector< T, 3 > | argument_type
typedef NumericTraits< T > ::RealPromote | component_type
typedef TinyVector < component_type, 3 > | result_type
typedef TinyVector < component_type, 3 > | value_type

## Public Member Functions
template<class V >
result_type | operator() (V const &xyz) const

## Detailed Description

### template<class T>
class vigra::XYZ2LabFunctor< T >

Convert standardized tri-stimulus XYZ into perceptual uniform CIE L*a*b*.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the transformation

where is the reference white point of standard illuminant D65. represents the lightness ("brightness") of the color, and code the chromaticity. (Instead of the rationals and , the original standard gives the rounded values 0.008856 and 903.3. As Bruce Lindbloom points out, the rounded values give raise to a discontinuity which is removed by the accurate rationals. This bug will be fixed in future versions of the CIE Lab standard.)

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

typedef NumericTraits<T>::RealPromote component_type

the result's component type

typedef TinyVector<T, 3> argument_type

the functor's argument type

typedef TinyVector<component_type, 3> result_type

the functor's result type

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

## Member Function Documentation

result_type operator() | ( | V const & | xyz | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Mon Nov 18 2013)